<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateCustomerLoginInfoOutput StructType
 * @subpackage Structs
 */
class UpdateCustomerLoginInfoOutput extends AbstractStructBase
{
    /**
     * The Success
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $Success;
    /**
     * The Culture
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Culture;
    /**
     * The ErrorMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ErrorMessage;
    /**
     * The LoginName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LoginName;
    /**
     * The LoginNameAtAuthenticationProvider
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LoginNameAtAuthenticationProvider;
    /**
     * The EmailAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EmailAddress;
    /**
     * The ProfileFirstName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ProfileFirstName;
    /**
     * The ProfileLastName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ProfileLastName;
    /**
     * Constructor method for UpdateCustomerLoginInfoOutput
     * @uses UpdateCustomerLoginInfoOutput::setSuccess()
     * @uses UpdateCustomerLoginInfoOutput::setCulture()
     * @uses UpdateCustomerLoginInfoOutput::setErrorMessage()
     * @uses UpdateCustomerLoginInfoOutput::setLoginName()
     * @uses UpdateCustomerLoginInfoOutput::setLoginNameAtAuthenticationProvider()
     * @uses UpdateCustomerLoginInfoOutput::setEmailAddress()
     * @uses UpdateCustomerLoginInfoOutput::setProfileFirstName()
     * @uses UpdateCustomerLoginInfoOutput::setProfileLastName()
     * @param bool $success
     * @param string $culture
     * @param string $errorMessage
     * @param string $loginName
     * @param string $loginNameAtAuthenticationProvider
     * @param string $emailAddress
     * @param string $profileFirstName
     * @param string $profileLastName
     */
    public function __construct($success = null, $culture = null, $errorMessage = null, $loginName = null, $loginNameAtAuthenticationProvider = null, $emailAddress = null, $profileFirstName = null, $profileLastName = null)
    {
        $this
            ->setSuccess($success)
            ->setCulture($culture)
            ->setErrorMessage($errorMessage)
            ->setLoginName($loginName)
            ->setLoginNameAtAuthenticationProvider($loginNameAtAuthenticationProvider)
            ->setEmailAddress($emailAddress)
            ->setProfileFirstName($profileFirstName)
            ->setProfileLastName($profileLastName);
    }
    /**
     * Get Success value
     * @return bool
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param bool $success
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setSuccess($success = null)
    {
        // validation for constraint: boolean
        if (!is_null($success) && !is_bool($success)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($success, true), gettype($success)), __LINE__);
        }
        $this->Success = $success;
        return $this;
    }
    /**
     * Get Culture value
     * @return string
     */
    public function getCulture()
    {
        return $this->Culture;
    }
    /**
     * Set Culture value
     * @uses \CustomerManagement\EnumType\CultureEnum::valueIsValid()
     * @uses \CustomerManagement\EnumType\CultureEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $culture
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setCulture($culture = null)
    {
        // validation for constraint: enumeration
        if (!\CustomerManagement\EnumType\CultureEnum::valueIsValid($culture)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \CustomerManagement\EnumType\CultureEnum', is_array($culture) ? implode(', ', $culture) : var_export($culture, true), implode(', ', \CustomerManagement\EnumType\CultureEnum::getValidValues())), __LINE__);
        }
        $this->Culture = $culture;
        return $this;
    }
    /**
     * Get ErrorMessage value
     * @return string|null
     */
    public function getErrorMessage()
    {
        return $this->ErrorMessage;
    }
    /**
     * Set ErrorMessage value
     * @param string $errorMessage
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setErrorMessage($errorMessage = null)
    {
        // validation for constraint: string
        if (!is_null($errorMessage) && !is_string($errorMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($errorMessage, true), gettype($errorMessage)), __LINE__);
        }
        $this->ErrorMessage = $errorMessage;
        return $this;
    }
    /**
     * Get LoginName value
     * @return string|null
     */
    public function getLoginName()
    {
        return $this->LoginName;
    }
    /**
     * Set LoginName value
     * @param string $loginName
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setLoginName($loginName = null)
    {
        // validation for constraint: string
        if (!is_null($loginName) && !is_string($loginName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($loginName, true), gettype($loginName)), __LINE__);
        }
        $this->LoginName = $loginName;
        return $this;
    }
    /**
     * Get LoginNameAtAuthenticationProvider value
     * @return string|null
     */
    public function getLoginNameAtAuthenticationProvider()
    {
        return $this->LoginNameAtAuthenticationProvider;
    }
    /**
     * Set LoginNameAtAuthenticationProvider value
     * @param string $loginNameAtAuthenticationProvider
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setLoginNameAtAuthenticationProvider($loginNameAtAuthenticationProvider = null)
    {
        // validation for constraint: string
        if (!is_null($loginNameAtAuthenticationProvider) && !is_string($loginNameAtAuthenticationProvider)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($loginNameAtAuthenticationProvider, true), gettype($loginNameAtAuthenticationProvider)), __LINE__);
        }
        $this->LoginNameAtAuthenticationProvider = $loginNameAtAuthenticationProvider;
        return $this;
    }
    /**
     * Get EmailAddress value
     * @return string|null
     */
    public function getEmailAddress()
    {
        return $this->EmailAddress;
    }
    /**
     * Set EmailAddress value
     * @param string $emailAddress
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setEmailAddress($emailAddress = null)
    {
        // validation for constraint: string
        if (!is_null($emailAddress) && !is_string($emailAddress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($emailAddress, true), gettype($emailAddress)), __LINE__);
        }
        $this->EmailAddress = $emailAddress;
        return $this;
    }
    /**
     * Get ProfileFirstName value
     * @return string|null
     */
    public function getProfileFirstName()
    {
        return $this->ProfileFirstName;
    }
    /**
     * Set ProfileFirstName value
     * @param string $profileFirstName
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setProfileFirstName($profileFirstName = null)
    {
        // validation for constraint: string
        if (!is_null($profileFirstName) && !is_string($profileFirstName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($profileFirstName, true), gettype($profileFirstName)), __LINE__);
        }
        $this->ProfileFirstName = $profileFirstName;
        return $this;
    }
    /**
     * Get ProfileLastName value
     * @return string|null
     */
    public function getProfileLastName()
    {
        return $this->ProfileLastName;
    }
    /**
     * Set ProfileLastName value
     * @param string $profileLastName
     * @return \CustomerManagement\StructType\UpdateCustomerLoginInfoOutput
     */
    public function setProfileLastName($profileLastName = null)
    {
        // validation for constraint: string
        if (!is_null($profileLastName) && !is_string($profileLastName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($profileLastName, true), gettype($profileLastName)), __LINE__);
        }
        $this->ProfileLastName = $profileLastName;
        return $this;
    }
}
